<ion-header>
  <ion-toolbar> </ion-toolbar>
</ion-header>

<ion-content *ngIf="show">
  <ion-refresher slot="fixed" (ionRefresh)="getOrders($event)">
    <ion-refresher-content
      pullingIcon="chevron-down-circle-outline"
      pullingText="Pull to refresh"
      refreshingSpinner="bubbles"
      refreshingText="Loading..."
    >
    </ion-refresher-content>
  </ion-refresher>
  <ion-item>
    <ion-label>
      <h3>{{ user.fullName }}</h3>
      <ion-text
        ><p>
          {{ user.cellphone }}{{ user.telephone ? ' | ' + user.telephone : ''}}
        </p></ion-text
      >
      <ion-text><p>{{ user.address }}</p></ion-text>
      <ion-text><p>{{ user.user.email }}</p></ion-text>
    </ion-label>
  </ion-item>
  <ion-list
    *ngFor="let delivery of deliveries"
    (click)="handleButtonClick(delivery)"
    class="ion-margin-vertical"
  >
    <ion-text class="ion-margin-start ion-margin-bottom">
      {{ delivery.datetime | date:'medium'}}
      <ion-text> - </ion-text>
      <ion-text
        [color]="delivery.status === 'Canceled'
      ? 'danger'
      : delivery.status === 'Processing'
        ? 'secondary'
        : delivery.status === 'On Delivery'
          ? 'warning'
          : 'success'"
      >
        {{ delivery.status }}
      </ion-text>
    </ion-text>
    <div class="ion-margin-top"></div>
    <ion-text style="display: block; font-size: 13px" class="ion-margin-start"
      >Receiver: {{ delivery.contact.receiver }}</ion-text
    >
    <ion-text style="display: block; font-size: 13px" class="ion-margin-start"
      >Contact: {{ delivery.contact.contactNumbers[0] }}
    </ion-text>
    <ion-text style="display: block; font-size: 13px" class="ion-margin-start"
      >Address: {{ delivery.contact.address }}
    </ion-text>
    <ion-text style="display: block; font-size: 13px" class="ion-margin-start"
      >Instructions: {{ delivery.instructions }}
    </ion-text>

    <ion-item *ngFor="let order of delivery.orders">
      <ion-label>
        <h3>Item: {{ order.product.name }}</h3>
        <p>
          <ion-text>₱{{ order.product.price | number:'.2' }}</ion-text>
          <ion-text> × </ion-text>
          <ion-text>{{ order.quantity}} pcs</ion-text>
          <ion-text> = </ion-text>
          <ion-text color="danger"
            >₱{{ order.quantity * order.product.price | number:'.2' }}</ion-text
          >
        </p>
      </ion-label>
    </ion-item>
    <div class="ion-margin-top ion-margin-start" style="font-size: 13px">
      <ion-text>
        Total: ₱{{ delivery.total | number:'.2' }} + ₱{{ delivery.shippingFee ?
        delivery.shippingFee : 0 | number:'.2' }} (SF) =
        <ion-text color="danger">
          ₱{{ delivery.total + +delivery.shippingFee | number:'.2' }}
        </ion-text>
      </ion-text>
    </div>
  </ion-list>
</ion-content>
